aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorNathan Johnson <nathan@nathanjohnson.info>2016-06-07 18:57:55 -0500
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2016-07-08 10:50:03 +0200
commitadae7266dd725a41ca7f661c6477ef8a7b2c2d86 (patch)
treeb7d9a0370d411629fe233821d493e0c21829824a /testing
parent20fd6b21ae5409237e4c3dfc9ae920df17932b0f (diff)
downloadaports-adae7266dd725a41ca7f661c6477ef8a7b2c2d86.tar.gz
aports-adae7266dd725a41ca7f661c6477ef8a7b2c2d86.tar.bz2
aports-adae7266dd725a41ca7f661c6477ef8a7b2c2d86.tar.xz
testing/php7-couchbase: new aport
This is 2.2 beta3 release. Requires libcouchbase 2.6.0
Diffstat (limited to 'testing')
-rw-r--r--testing/php7-couchbase/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/php7-couchbase/APKBUILD b/testing/php7-couchbase/APKBUILD
new file mode 100644
index 0000000000..e948431a60
--- /dev/null
+++ b/testing/php7-couchbase/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Nathan Johnson <nathan@nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan@nathanjohnson.info>
+pkgname=php7-couchbase
+_pkgreal=couchbase
+pkgver=2.2.0_beta3
+_pkgrealver=${pkgver/_/}
+pkgrel=0
+pkgdesc="PHP extension couchbase"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="ASL 2.0"
+depends=
+pecldepends="php7-dev autoconf"
+makedepends="$pecldepends libcouchbase-dev zlib-dev"
+install=""
+subpackages=""
+source="${pkgname}-${pkgver}.tgz::http://pecl.php.net/get/${_pkgreal}-${_pkgrealver}.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgrealver
+
+build() {
+ cd "$_builddir"
+ phpize7 || return 1
+ ./configure --prefix=/usr --with-php-config=/usr/bin/php-config7 || return 1
+ make || return 1
+ make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make INSTALL_ROOT="$pkgdir"/ install || return 1
+ install -d "$pkgdir"/etc/php5/conf.d || return 1
+ echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php5/conf.d/$_pkgreal.ini
+}
+
+md5sums="0fec7a685d44948921c48167dffd0d35 php7-couchbase-2.2.0_beta3.tgz"
+sha256sums="f1f73f57790628b4839f1e8a8ee97f40eb19b7e17d6de8462991dc6188d35d36 php7-couchbase-2.2.0_beta3.tgz"
+sha512sums="c80cef205b9fb957f9a5be42a92a749c8ce7dfd4d01638be2441e84e9eb454cf4b28266591378ad07ac7004e798175cdf2455da46d688f702a643705bc7276ea php7-couchbase-2.2.0_beta3.tgz"